path: /build/build/zfs-common-kernel-2.2.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a3da15580e2d5eaf03f3a455b2e76d705f8cc9a2be25ec9df7a26d62f38d7334
  package:
    name: zfs-common
    version: 2.2.4
    category: kernel
    requires:
    - name: zfs-kmod
      version: '>=0'
      category: kernel-5.10
    buildtimestamp: 2024-05-25 21:54:45.14981217 +0000 UTC m=+30.588058065
    labels:
      kernel.branch: "5.10"
      zfs.version: 2.2.4
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/lib/modules/
  - /usr/src/spl-2.2.4/*-macaroni
  - /usr/src/spl-2.2.4/*-macaroni/*
  - /usr/src/zfs-2.2.4/*-macaroni
  - /usr/src/zfs-2.2.4/*-macaroni/*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2a6f2d7da5fa83be1fed8aaa3390ce8478785fbef66f2364fd56ac0bd78524f5
compressiontype: zstd
files:
- usr/share/doc/zfs-kmod-2.2.4/AUTHORS.bz2
- usr/share/doc/zfs-kmod-2.2.4/COPYRIGHT.bz2
- usr/share/doc/zfs-kmod-2.2.4/META.bz2
- usr/share/doc/zfs-kmod-2.2.4/README.md.bz2
- usr/src/zfs-2.2.4/5.10.217-macaroni/Module.symvers
- usr/src/zfs-2.2.4/5.10.217-macaroni/zfs.release
- usr/src/zfs-2.2.4/5.10.217-macaroni/zfs_config.h
- usr/src/zfs-2.2.4/include/cityhash.h
- usr/src/zfs-2.2.4/include/linux/blkdev_compat.h
- usr/src/zfs-2.2.4/include/linux/compiler_compat.h
- usr/src/zfs-2.2.4/include/linux/dcache_compat.h
- usr/src/zfs-2.2.4/include/linux/kmap_compat.h
- usr/src/zfs-2.2.4/include/linux/mm_compat.h
- usr/src/zfs-2.2.4/include/linux/mod_compat.h
- usr/src/zfs-2.2.4/include/linux/page_compat.h
- usr/src/zfs-2.2.4/include/linux/percpu_compat.h
- usr/src/zfs-2.2.4/include/linux/simd.h
- usr/src/zfs-2.2.4/include/linux/simd_aarch64.h
- usr/src/zfs-2.2.4/include/linux/simd_arm.h
- usr/src/zfs-2.2.4/include/linux/simd_powerpc.h
- usr/src/zfs-2.2.4/include/linux/simd_x86.h
- usr/src/zfs-2.2.4/include/linux/utsname_compat.h
- usr/src/zfs-2.2.4/include/linux/vfs_compat.h
- usr/src/zfs-2.2.4/include/linux/xattr_compat.h
- usr/src/zfs-2.2.4/include/spl/rpc/types.h
- usr/src/zfs-2.2.4/include/spl/rpc/xdr.h
- usr/src/zfs-2.2.4/include/spl/sys/acl.h
- usr/src/zfs-2.2.4/include/spl/sys/atomic.h
- usr/src/zfs-2.2.4/include/spl/sys/byteorder.h
- usr/src/zfs-2.2.4/include/spl/sys/callb.h
- usr/src/zfs-2.2.4/include/spl/sys/callo.h
- usr/src/zfs-2.2.4/include/spl/sys/cmn_err.h
- usr/src/zfs-2.2.4/include/spl/sys/condvar.h
- usr/src/zfs-2.2.4/include/spl/sys/cred.h
- usr/src/zfs-2.2.4/include/spl/sys/ctype.h
- usr/src/zfs-2.2.4/include/spl/sys/debug.h
- usr/src/zfs-2.2.4/include/spl/sys/disp.h
- usr/src/zfs-2.2.4/include/spl/sys/dkio.h
- usr/src/zfs-2.2.4/include/spl/sys/errno.h
- usr/src/zfs-2.2.4/include/spl/sys/fcntl.h
- usr/src/zfs-2.2.4/include/spl/sys/file.h
- usr/src/zfs-2.2.4/include/spl/sys/ia32/asm_linkage.h
- usr/src/zfs-2.2.4/include/spl/sys/inttypes.h
- usr/src/zfs-2.2.4/include/spl/sys/isa_defs.h
- usr/src/zfs-2.2.4/include/spl/sys/kmem.h
- usr/src/zfs-2.2.4/include/spl/sys/kmem_cache.h
- usr/src/zfs-2.2.4/include/spl/sys/kstat.h
- usr/src/zfs-2.2.4/include/spl/sys/list.h
- usr/src/zfs-2.2.4/include/spl/sys/misc.h
- usr/src/zfs-2.2.4/include/spl/sys/mod_os.h
- usr/src/zfs-2.2.4/include/spl/sys/mutex.h
- usr/src/zfs-2.2.4/include/spl/sys/param.h
- usr/src/zfs-2.2.4/include/spl/sys/proc.h
- usr/src/zfs-2.2.4/include/spl/sys/processor.h
- usr/src/zfs-2.2.4/include/spl/sys/procfs_list.h
- usr/src/zfs-2.2.4/include/spl/sys/random.h
- usr/src/zfs-2.2.4/include/spl/sys/rwlock.h
- usr/src/zfs-2.2.4/include/spl/sys/shrinker.h
- usr/src/zfs-2.2.4/include/spl/sys/sid.h
- usr/src/zfs-2.2.4/include/spl/sys/signal.h
- usr/src/zfs-2.2.4/include/spl/sys/simd.h
- usr/src/zfs-2.2.4/include/spl/sys/stat.h
- usr/src/zfs-2.2.4/include/spl/sys/string.h
- usr/src/zfs-2.2.4/include/spl/sys/sunddi.h
- usr/src/zfs-2.2.4/include/spl/sys/sysmacros.h
- usr/src/zfs-2.2.4/include/spl/sys/systeminfo.h
- usr/src/zfs-2.2.4/include/spl/sys/taskq.h
- usr/src/zfs-2.2.4/include/spl/sys/thread.h
- usr/src/zfs-2.2.4/include/spl/sys/time.h
- usr/src/zfs-2.2.4/include/spl/sys/timer.h
- usr/src/zfs-2.2.4/include/spl/sys/trace.h
- usr/src/zfs-2.2.4/include/spl/sys/trace_spl.h
- usr/src/zfs-2.2.4/include/spl/sys/trace_taskq.h
- usr/src/zfs-2.2.4/include/spl/sys/tsd.h
- usr/src/zfs-2.2.4/include/spl/sys/types.h
- usr/src/zfs-2.2.4/include/spl/sys/types32.h
- usr/src/zfs-2.2.4/include/spl/sys/uio.h
- usr/src/zfs-2.2.4/include/spl/sys/user.h
- usr/src/zfs-2.2.4/include/spl/sys/vfs.h
- usr/src/zfs-2.2.4/include/spl/sys/vmem.h
- usr/src/zfs-2.2.4/include/spl/sys/vmsystm.h
- usr/src/zfs-2.2.4/include/spl/sys/vnode.h
- usr/src/zfs-2.2.4/include/spl/sys/wait.h
- usr/src/zfs-2.2.4/include/spl/sys/wmsum.h
- usr/src/zfs-2.2.4/include/spl/sys/zmod.h
- usr/src/zfs-2.2.4/include/spl/sys/zone.h
- usr/src/zfs-2.2.4/include/sys/abd.h
- usr/src/zfs-2.2.4/include/sys/abd_impl.h
- usr/src/zfs-2.2.4/include/sys/aggsum.h
- usr/src/zfs-2.2.4/include/sys/arc.h
- usr/src/zfs-2.2.4/include/sys/arc_impl.h
- usr/src/zfs-2.2.4/include/sys/asm_linkage.h
- usr/src/zfs-2.2.4/include/sys/avl.h
- usr/src/zfs-2.2.4/include/sys/avl_impl.h
- usr/src/zfs-2.2.4/include/sys/bitmap.h
- usr/src/zfs-2.2.4/include/sys/bitops.h
- usr/src/zfs-2.2.4/include/sys/blake3.h
- usr/src/zfs-2.2.4/include/sys/blkptr.h
- usr/src/zfs-2.2.4/include/sys/bplist.h
- usr/src/zfs-2.2.4/include/sys/bpobj.h
- usr/src/zfs-2.2.4/include/sys/bptree.h
- usr/src/zfs-2.2.4/include/sys/bqueue.h
- usr/src/zfs-2.2.4/include/sys/brt.h
- usr/src/zfs-2.2.4/include/sys/brt_impl.h
- usr/src/zfs-2.2.4/include/sys/btree.h
- usr/src/zfs-2.2.4/include/sys/crypto/api.h
- usr/src/zfs-2.2.4/include/sys/crypto/common.h
- usr/src/zfs-2.2.4/include/sys/crypto/icp.h
- usr/src/zfs-2.2.4/include/sys/dataset_kstats.h
- usr/src/zfs-2.2.4/include/sys/dbuf.h
- usr/src/zfs-2.2.4/include/sys/ddt.h
- usr/src/zfs-2.2.4/include/sys/dmu.h
- usr/src/zfs-2.2.4/include/sys/dmu_impl.h
- usr/src/zfs-2.2.4/include/sys/dmu_objset.h
- usr/src/zfs-2.2.4/include/sys/dmu_recv.h
- usr/src/zfs-2.2.4/include/sys/dmu_redact.h
- usr/src/zfs-2.2.4/include/sys/dmu_send.h
- usr/src/zfs-2.2.4/include/sys/dmu_traverse.h
- usr/src/zfs-2.2.4/include/sys/dmu_tx.h
- usr/src/zfs-2.2.4/include/sys/dmu_zfetch.h
- usr/src/zfs-2.2.4/include/sys/dnode.h
- usr/src/zfs-2.2.4/include/sys/dsl_bookmark.h
- usr/src/zfs-2.2.4/include/sys/dsl_crypt.h
- usr/src/zfs-2.2.4/include/sys/dsl_dataset.h
- usr/src/zfs-2.2.4/include/sys/dsl_deadlist.h
- usr/src/zfs-2.2.4/include/sys/dsl_deleg.h
- usr/src/zfs-2.2.4/include/sys/dsl_destroy.h
- usr/src/zfs-2.2.4/include/sys/dsl_dir.h
- usr/src/zfs-2.2.4/include/sys/dsl_pool.h
- usr/src/zfs-2.2.4/include/sys/dsl_prop.h
- usr/src/zfs-2.2.4/include/sys/dsl_scan.h
- usr/src/zfs-2.2.4/include/sys/dsl_synctask.h
- usr/src/zfs-2.2.4/include/sys/dsl_userhold.h
- usr/src/zfs-2.2.4/include/sys/edonr.h
- usr/src/zfs-2.2.4/include/sys/efi_partition.h
- usr/src/zfs-2.2.4/include/sys/fm/fs/zfs.h
- usr/src/zfs-2.2.4/include/sys/fm/protocol.h
- usr/src/zfs-2.2.4/include/sys/fm/util.h
- usr/src/zfs-2.2.4/include/sys/frame.h
- usr/src/zfs-2.2.4/include/sys/fs/zfs.h
- usr/src/zfs-2.2.4/include/sys/hkdf.h
- usr/src/zfs-2.2.4/include/sys/lua/lauxlib.h
- usr/src/zfs-2.2.4/include/sys/lua/lua.h
- usr/src/zfs-2.2.4/include/sys/lua/luaconf.h
- usr/src/zfs-2.2.4/include/sys/lua/lualib.h
- usr/src/zfs-2.2.4/include/sys/metaslab.h
- usr/src/zfs-2.2.4/include/sys/metaslab_impl.h
- usr/src/zfs-2.2.4/include/sys/mmp.h
- usr/src/zfs-2.2.4/include/sys/mntent.h
- usr/src/zfs-2.2.4/include/sys/mod.h
- usr/src/zfs-2.2.4/include/sys/multilist.h
- usr/src/zfs-2.2.4/include/sys/nvpair.h
- usr/src/zfs-2.2.4/include/sys/nvpair_impl.h
- usr/src/zfs-2.2.4/include/sys/objlist.h
- usr/src/zfs-2.2.4/include/sys/pathname.h
- usr/src/zfs-2.2.4/include/sys/policy.h
- usr/src/zfs-2.2.4/include/sys/qat.h
- usr/src/zfs-2.2.4/include/sys/range_tree.h
- usr/src/zfs-2.2.4/include/sys/rrwlock.h
- usr/src/zfs-2.2.4/include/sys/sa.h
- usr/src/zfs-2.2.4/include/sys/sa_impl.h
- usr/src/zfs-2.2.4/include/sys/sha2.h
- usr/src/zfs-2.2.4/include/sys/skein.h
- usr/src/zfs-2.2.4/include/sys/spa.h
- usr/src/zfs-2.2.4/include/sys/spa_checkpoint.h
- usr/src/zfs-2.2.4/include/sys/spa_checksum.h
- usr/src/zfs-2.2.4/include/sys/spa_impl.h
- usr/src/zfs-2.2.4/include/sys/spa_log_spacemap.h
- usr/src/zfs-2.2.4/include/sys/space_map.h
- usr/src/zfs-2.2.4/include/sys/space_reftree.h
- usr/src/zfs-2.2.4/include/sys/sysevent/dev.h
- usr/src/zfs-2.2.4/include/sys/sysevent/eventdefs.h
- usr/src/zfs-2.2.4/include/sys/sysevent.h
- usr/src/zfs-2.2.4/include/sys/trace_acl.h
- usr/src/zfs-2.2.4/include/sys/trace_arc.h
- usr/src/zfs-2.2.4/include/sys/trace_common.h
- usr/src/zfs-2.2.4/include/sys/trace_dbgmsg.h
- usr/src/zfs-2.2.4/include/sys/trace_dbuf.h
- usr/src/zfs-2.2.4/include/sys/trace_dmu.h
- usr/src/zfs-2.2.4/include/sys/trace_dnode.h
- usr/src/zfs-2.2.4/include/sys/trace_multilist.h
- usr/src/zfs-2.2.4/include/sys/trace_rrwlock.h
- usr/src/zfs-2.2.4/include/sys/trace_txg.h
- usr/src/zfs-2.2.4/include/sys/trace_vdev.h
- usr/src/zfs-2.2.4/include/sys/trace_zfs.h
- usr/src/zfs-2.2.4/include/sys/trace_zil.h
- usr/src/zfs-2.2.4/include/sys/trace_zio.h
- usr/src/zfs-2.2.4/include/sys/trace_zrlock.h
- usr/src/zfs-2.2.4/include/sys/txg.h
- usr/src/zfs-2.2.4/include/sys/txg_impl.h
- usr/src/zfs-2.2.4/include/sys/u8_textprep.h
- usr/src/zfs-2.2.4/include/sys/u8_textprep_data.h
- usr/src/zfs-2.2.4/include/sys/uberblock.h
- usr/src/zfs-2.2.4/include/sys/uberblock_impl.h
- usr/src/zfs-2.2.4/include/sys/uio_impl.h
- usr/src/zfs-2.2.4/include/sys/unique.h
- usr/src/zfs-2.2.4/include/sys/uuid.h
- usr/src/zfs-2.2.4/include/sys/vdev.h
- usr/src/zfs-2.2.4/include/sys/vdev_disk.h
- usr/src/zfs-2.2.4/include/sys/vdev_draid.h
- usr/src/zfs-2.2.4/include/sys/vdev_file.h
- usr/src/zfs-2.2.4/include/sys/vdev_impl.h
- usr/src/zfs-2.2.4/include/sys/vdev_indirect_births.h
- usr/src/zfs-2.2.4/include/sys/vdev_indirect_mapping.h
- usr/src/zfs-2.2.4/include/sys/vdev_initialize.h
- usr/src/zfs-2.2.4/include/sys/vdev_raidz.h
- usr/src/zfs-2.2.4/include/sys/vdev_raidz_impl.h
- usr/src/zfs-2.2.4/include/sys/vdev_rebuild.h
- usr/src/zfs-2.2.4/include/sys/vdev_removal.h
- usr/src/zfs-2.2.4/include/sys/vdev_trim.h
- usr/src/zfs-2.2.4/include/sys/xvattr.h
- usr/src/zfs-2.2.4/include/sys/zap.h
- usr/src/zfs-2.2.4/include/sys/zap_impl.h
- usr/src/zfs-2.2.4/include/sys/zap_leaf.h
- usr/src/zfs-2.2.4/include/sys/zcp.h
- usr/src/zfs-2.2.4/include/sys/zcp_global.h
- usr/src/zfs-2.2.4/include/sys/zcp_iter.h
- usr/src/zfs-2.2.4/include/sys/zcp_prop.h
- usr/src/zfs-2.2.4/include/sys/zcp_set.h
- usr/src/zfs-2.2.4/include/sys/zfeature.h
- usr/src/zfs-2.2.4/include/sys/zfs_acl.h
- usr/src/zfs-2.2.4/include/sys/zfs_bootenv.h
- usr/src/zfs-2.2.4/include/sys/zfs_bootenv_os.h
- usr/src/zfs-2.2.4/include/sys/zfs_chksum.h
- usr/src/zfs-2.2.4/include/sys/zfs_context.h
- usr/src/zfs-2.2.4/include/sys/zfs_context_os.h
- usr/src/zfs-2.2.4/include/sys/zfs_ctldir.h
- usr/src/zfs-2.2.4/include/sys/zfs_debug.h
- usr/src/zfs-2.2.4/include/sys/zfs_delay.h
- usr/src/zfs-2.2.4/include/sys/zfs_dir.h
- usr/src/zfs-2.2.4/include/sys/zfs_file.h
- usr/src/zfs-2.2.4/include/sys/zfs_fuid.h
- usr/src/zfs-2.2.4/include/sys/zfs_impl.h
- usr/src/zfs-2.2.4/include/sys/zfs_ioctl.h
- usr/src/zfs-2.2.4/include/sys/zfs_ioctl_impl.h
- usr/src/zfs-2.2.4/include/sys/zfs_onexit.h
- usr/src/zfs-2.2.4/include/sys/zfs_project.h
- usr/src/zfs-2.2.4/include/sys/zfs_quota.h
- usr/src/zfs-2.2.4/include/sys/zfs_racct.h
- usr/src/zfs-2.2.4/include/sys/zfs_ratelimit.h
- usr/src/zfs-2.2.4/include/sys/zfs_refcount.h
- usr/src/zfs-2.2.4/include/sys/zfs_rlock.h
- usr/src/zfs-2.2.4/include/sys/zfs_sa.h
- usr/src/zfs-2.2.4/include/sys/zfs_stat.h
- usr/src/zfs-2.2.4/include/sys/zfs_sysfs.h
- usr/src/zfs-2.2.4/include/sys/zfs_vfsops.h
- usr/src/zfs-2.2.4/include/sys/zfs_vfsops_os.h
- usr/src/zfs-2.2.4/include/sys/zfs_vnops.h
- usr/src/zfs-2.2.4/include/sys/zfs_vnops_os.h
- usr/src/zfs-2.2.4/include/sys/zfs_znode.h
- usr/src/zfs-2.2.4/include/sys/zfs_znode_impl.h
- usr/src/zfs-2.2.4/include/sys/zil.h
- usr/src/zfs-2.2.4/include/sys/zil_impl.h
- usr/src/zfs-2.2.4/include/sys/zio.h
- usr/src/zfs-2.2.4/include/sys/zio_checksum.h
- usr/src/zfs-2.2.4/include/sys/zio_compress.h
- usr/src/zfs-2.2.4/include/sys/zio_crypt.h
- usr/src/zfs-2.2.4/include/sys/zio_impl.h
- usr/src/zfs-2.2.4/include/sys/zio_priority.h
- usr/src/zfs-2.2.4/include/sys/zpl.h
- usr/src/zfs-2.2.4/include/sys/zrlock.h
- usr/src/zfs-2.2.4/include/sys/zstd/zstd.h
- usr/src/zfs-2.2.4/include/sys/zthr.h
- usr/src/zfs-2.2.4/include/sys/zvol.h
- usr/src/zfs-2.2.4/include/sys/zvol_impl.h
- usr/src/zfs-2.2.4/include/zfeature_common.h
- usr/src/zfs-2.2.4/include/zfs_comutil.h
- usr/src/zfs-2.2.4/include/zfs_deleg.h
- usr/src/zfs-2.2.4/include/zfs_fletcher.h
- usr/src/zfs-2.2.4/include/zfs_namecheck.h
- usr/src/zfs-2.2.4/include/zfs_prop.h
- usr/src/zfs-2.2.4/zfs.release.in
- usr/src/zfs-2.2.4/zfs_config.h.in
package_cacheimage: ""
runtime:
  name: zfs-common
  version: 2.2.4
  category: kernel
  labels:
    kernel.branch: "5.10"
    zfs.version: 2.2.4
